#!/usr/bin/perl

# to be ran once or twice a day

# bounced emails make the netid put on hold until the future
# find if the future is now, and process them.

use strict;
use DBI;

my %cfg;
open(CONFIG, '/export/web/ipanalyze.example.com/data/ipanalyze.conf') || die "cannot open config: $!\n";
while(<CONFIG>){
   next if(/^[#;]/);
   chomp;
   if(/^(\S+)\s*=>\s?(.+)/){
      $cfg{$1} = $2;
   }
}
close CONFIG;

my $dbh = DBI->connect($cfg{d_dsn}, $cfg{d_dbun}, $cfg{d_dbpw} ,{RaiseError => 1});
my $sql = 'SELECT netid,ostatus FROM data WHERE status = 6';
my $sth = $dbh->prepare($sql);
$sth->execute;
while(my $row=$sth->fetchrow_arrayref) {
	my $sqla = 'UPDATE data SET status = ';
	if($row->[1]) {
		$row->[1]++;
		$sqla .= $dbh->quote($row->[1]);
	}else{
		$sqla .= 0;
	}
	$sqla .= ', ostatus = NULL, hold_date = NULL WHERE netid = ' . $dbh->quote($row->[0]);
	my $sth = $dbh->prepare($sqla);
	$sth->execute;
}
